Skip to main content
AI

Create Video Task (Old)

Endpoint

POST /v1/video/generations

Header Parameters

NameTypeRequiredDescriptionExample
AuthorizationstringNoBearer {your_token}

Request Body Parameters

FieldTypeRequiredTitleDescription
modelstringYesModel nameviduq3p-540p, viduq3p-720p, viduq3p-1080p, viduq3t-540p, viduq3t-720p, viduq3t-1080p
promptstringYespromptonly passprompt image-to-video
imagestringYesreference / referenceonly pass image, pass last_image, image-to-video
reference_image_urlsarrayYesmixmodereferenceonly mixmode, stringarray: Example: [, "https://example.com/ref-1.png", "https://example.com/ref-2.png"]
last_imagestringYesreferencepass both imageandlast_image first-and-last-frame video, does not supportonly pass last_image
aspect_ratiostringYesRatiotext-to-video; image-to-video pass in, result
durationstringYesvideo ()allowed values:1 16
extra_bodyobjectYesParameters

Request Examples

text-to-video

{
"model": "viduq3p-720p",
"prompt": " camera, and, slow camera push-in. ",
"aspect_ratio": "16:9",
"duration": 5,
"extra_body": {
"audio": false,
"seed": 42,
"bgm": false
}
}
curl -X POST "{BASE_URL}/v1/video/generations" \
-H "Authorization: Bearer sk-***" \
-H "Content-Type: application/json" \
-d '{"model": "viduq3p-720p",
"prompt": " camera, and, slow camera push-in. ",
"aspect_ratio": "16:9",
"duration": 5,
"extra_body": {"audio": false,
"seed": 42,
"bgm": false}}'

single-image-to-video

{
"model": "viduq3t-540p",
"prompt": " camera, natural motion, camera. ",
"image": "https://example.com/source.png",
"duration": 5,
"extra_body": {
"seed": 42
}
}
curl -X POST "{BASE_URL}/v1/video/generations" \
-H "Authorization: Bearer sk-***" \
-H "Content-Type: application/json" \
-d '{"model": "viduq3t-540p",
"prompt": " camera, natural motion, camera. ",
"image": "https://example.com/source.png",
"duration": 5,
"extra_body": {"seed": 42}}'

first-and-last-frame video

{
"model": "viduq3p-1080p-offpeak",
"prompt": ", keep identity stable, action. ",
"image": "https://example.com/head.png",
"last_image": "https://example.com/tail.png",
"duration": 6
}
curl -X POST "{BASE_URL}/v1/video/generations" \
-H "Authorization: Bearer sk-***" \
-H "Content-Type: application/json" \
-d '{"model": "viduq3p-1080p-offpeak",
"prompt": ", keep identity stable, action. ",
"image": "https://example.com/head.png",
"last_image": "https://example.com/tail.png",
"duration": 6}'

reference-image-to-video

{
"model": "viduq3p-mix-720p",
"prompt": "A @Image1 walking through a beach in the visual style of @Image2",
"reference_image_urls": [
"https://example.com/ref-1.png",
"https://example.com/ref-2.png"
],
"aspect_ratio": "16:9",
"duration": 5,
"extra_body": {
"audio": false,
"seed": 42
}
}
curl -X POST "{BASE_URL}/v1/video/generations" \
-H "Authorization: Bearer sk-***" \
-H "Content-Type: application/json" \
-d '{"model": "viduq3p-mix-720p",
"prompt": "A @Image1 walking through a beach in the visual style of @Image2",
"reference_image_urls": ["https://example.com/ref-1.png",
"https://example.com/ref-2.png"],
"aspect_ratio": "16:9",
"duration": 5,
"extra_body": {"audio": false,
"seed": 42}}'

Response Fields

FieldTypeRequiredTitleDescription

Response Examples

Success

{
"id": "task_xxxxx",
"task_id": "task_xxxxx",
"object": "video.generation.job",
"model": "viduq3p-540p",
"status": "queued",
"progress": 0,
"created_at": 1774507626
}